All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NppStreamContext Struct Reference
NPP Type Definitions and Constants

NPP stream context structure must be filled in by application. More...

`#include <nppdefs.h>`

## Data Fields

cudaStream_t | hStream
int | nCudaDeviceId
int | nMultiProcessorCount
int | nMaxThreadsPerMultiProcessor
int | nMaxThreadsPerBlock
size_t | nSharedMemPerBlock
int | nCudaDevAttrComputeCapabilityMajor
int | nCudaDevAttrComputeCapabilityMinor
unsigned int | nStreamFlags
int | nReserved0

## Detailed Description

NPP stream context structure must be filled in by application.

Application should not initialize or alter reserved fields.

## Field Documentation

cudaStream_t NppStreamContext::hStream

int NppStreamContext::nCudaDevAttrComputeCapabilityMajor

int NppStreamContext::nCudaDevAttrComputeCapabilityMinor

int NppStreamContext::nCudaDeviceId

int NppStreamContext::nMaxThreadsPerBlock

int NppStreamContext::nMaxThreadsPerMultiProcessor

int NppStreamContext::nMultiProcessorCount

int NppStreamContext::nReserved0

size_t NppStreamContext::nSharedMemPerBlock

unsigned int NppStreamContext::nStreamFlags

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r11.0/NPP/npp/include/nppdefs.h

Copyright © 2009-2020 NVIDIA Corporation